searchData={"items":[{"type":"module","title":"Igniter.Installer.Loading","doc":"Utilities for doing operations with loading spinners.","ref":"Igniter.Installer.Loading.html"},{"type":"function","title":"Igniter.Installer.Loading.spawn_loader/1","doc":"","ref":"Igniter.Installer.Loading.html#spawn_loader/1"},{"type":"function","title":"Igniter.Installer.Loading.with_log/2","doc":"","ref":"Igniter.Installer.Loading.html#with_log/2"},{"type":"function","title":"Igniter.Installer.Loading.with_spinner/3","doc":"Runs the function with a loading spinner, suppressing all output.","ref":"Igniter.Installer.Loading.html#with_spinner/3"},{"type":"task","title":"mix igniter.add","doc":"Adds the provided deps to `mix.exs`\n\nThis is only useful when you want to add a dependency without running its\ninstaller, since `igniter.install` already adds the dependency to `mix.exs`.\n\nThis task also gets the dependencies after completion.","ref":"Mix.Tasks.Igniter.Add.html"},{"type":"task","title":"Example - mix igniter.add","doc":"mix igniter.add dep1 dep2","ref":"Mix.Tasks.Igniter.Add.html#module-example"},{"type":"task","title":"mix igniter.apply_upgrades","doc":"Applies the upgrade scripts for the list of package version changes provided.\n\nThis can be used to explicitly run specific upgrade scripts within a given\nversion range for a package. This is also *required* if your call to `mix\nigniter.upgrade` requires an upgrade of igniter itself.\n\n    mix igniter.apply_upgrades package1:0.3.1:0.3.2 package2:1.2.4:1.5.9","ref":"Mix.Tasks.Igniter.ApplyUpgrades.html"},{"type":"task","title":"Options - mix igniter.apply_upgrades","doc":"* `--yes` or `-y` - Accept all changes automatically","ref":"Mix.Tasks.Igniter.ApplyUpgrades.html#module-options"},{"type":"task","title":"mix igniter.init_library","doc":"Set up a library to use Igniter. Adds the optional dependency\nand an install task.","ref":"Mix.Tasks.Igniter.InitLibrary.html"},{"type":"task","title":"Args - mix igniter.init_library","doc":"mix igniter.init_library my_lib\n\n* `--dry-run` - Run the task without making any changes.\n* `--yes` - Automatically answer yes to any prompts.\n* `--yes-to-deps` - Automatically answer yes to any prompts about installing new deps.\n* `--verbose` - display additional output from various operations","ref":"Mix.Tasks.Igniter.InitLibrary.html#module-args"},{"type":"task","title":"mix igniter.install","doc":"Install a package or packages, running any Igniter installers.","ref":"Mix.Tasks.Igniter.Install.html"},{"type":"task","title":"Args - mix igniter.install","doc":"mix igniter.install package1 package2 package3","ref":"Mix.Tasks.Igniter.Install.html#module-args"},{"type":"task","title":"Package formats - mix igniter.install","doc":"* `package` - The latest version of the package will be installed, pinned\n    at the major version, or minor version if there is no major version yet.\n  * `package@version` - The package will be installed at the specified\n    version. If the version given is generic, like `3.0`, it will be pinned as\n    described above. if it is specific, like `3.0.1`, it will be pinned at that\n    *exact* version with `==`.\n  * `package@git:git_url` - The package will be installed from the\n    specified git url.\n  * `package@github:project/repo` - The package will be installed from the\n    specified github repo.\n  * `package@github:project/repo@ref` - The package will be installed from\n    the specified github repo, at the specified ref (i.e tag, branch, commit).\n  * `package@path:path/to/dep` - The package will be installed from the\n    specified path.\n  * `org/package` - The package exists in a private Hex organization. This\n    can be used along with all the options above, e.g. `org/package@version`.\n\nAdditionally, a Git ref can be specified when using `git` or `github`:\n\n  * `package@git:git_url@ref`","ref":"Mix.Tasks.Igniter.Install.html#module-package-formats"},{"type":"task","title":"Options - mix igniter.install","doc":"* `--only` - Install the requested packages in only a specific\n    environment(s), i.e `--only dev`, `--only dev,test`","ref":"Mix.Tasks.Igniter.Install.html#module-options"},{"type":"task","title":"Switches - mix igniter.install","doc":"* `--dry-run` - Run the task without making any changes.\n  * `--yes` - Automatically answer yes to any prompts.\n  * `--yes-to-deps` - Automatically answer yes to any prompts about\n    installing new deps.\n  * `--verbose` - Display additional output from various operations.\n  * `--example` - Request that installed packages include initial example\n    code.\n\n`argv` values are also passed to the igniter installer tasks of installed\npackages.","ref":"Mix.Tasks.Igniter.Install.html#module-switches"},{"type":"task","title":"mix igniter.new","doc":"Creates a new project using `mix new`, and adds `igniter` to the project.","ref":"Mix.Tasks.Igniter.New.html"},{"type":"task","title":"Options - mix igniter.new","doc":"All options are passed through to underlying installers, except for the following:\n\n* `--install` - A comma-separated list of dependencies to install using\n  `mix igniter.install` after creating the project.\n* `--example` - Request example code to be added to the project when installing packages.\n* `--with` - The command to use instead of `new`, i.e `phx.new`\n* `--with-args` - Additional arguments to pass to the installer provided in `--with`\n* `--yes` or `-y` - Skips confirmations during installers. The `-y` option cannot be applied\n  to the `--with` command, as it may or may not support it. Use `--with-args`\n  to provide arguments to that command.\n* `--no-installer-version-check` - skip the version check for the latest igniter_new version\n* `--no-git` - Skip initializing a git repository in the project directory and commit the initial state.","ref":"Mix.Tasks.Igniter.New.html#module-options"},{"type":"task","title":"Options for `mix.new` - mix igniter.new","doc":"* `--module` - The base module name to use for the project.\n* `--sup` - Generates an OTP application skeleton including a supervision tree.\n* `--umbrella` - Generates an umbrella project.\n\nExample\n\n    mix igniter.new my_project --install foo,bar,baz --with=phx.new --with-args=\"--no-ecto\"","ref":"Mix.Tasks.Igniter.New.html#module-options-for-mix-new"},{"type":"task","title":"mix igniter.remove","doc":"Removes the provided deps from `mix.exs`\n\nThis task also unlocks and cleans any unused dependencies after completion.","ref":"Mix.Tasks.Igniter.Remove.html"},{"type":"task","title":"Important Note - mix igniter.remove","doc":"Igniter does not have a concept of \"uninstallers\" right now. All that this task\ndoes is remove dependencies. If you still have usages of a given dependency,\nthen you will have to clean that up yourself (and likely want to do it before\nremoving the dependency).","ref":"Mix.Tasks.Igniter.Remove.html#module-important-note"},{"type":"task","title":"Example - mix igniter.remove","doc":"mix igniter.remove dep1 dep2","ref":"Mix.Tasks.Igniter.Remove.html#module-example"},{"type":"task","title":"mix igniter.upgrade","doc":"Fetch and upgrade dependencies. A drop in replacement for `mix deps.update`\nthat also runs upgrade tasks.\n\nUpdates dependencies via `mix deps.update` and then runs any upgrade tasks for\nany changed dependencies.\n\nBy default, this task updates to the latest versions allowed by the `mix.exs`\nfile, just like `mix deps.update`.\n\nTo upgrade a package to a specific version, you can specify the version after\nthe package name, separated by an `@` symbol. This allows upgrading beyond what\nyour mix.exs file currently specifies, i.e if you have `~> 1.0` in your mix.exs\nfile, you can use `mix igniter.upgrade package@2.0` to upgrade to version 2.0,\nwhich will update your `mix.exs` and run any equivalent upgraders.","ref":"Mix.Tasks.Igniter.Upgrade.html"},{"type":"task","title":"Limitations - mix igniter.upgrade","doc":"The new version of the package must be \"compile compatible\" with your existing\ncode. See the upgrades guide for more.","ref":"Mix.Tasks.Igniter.Upgrade.html#module-limitations"},{"type":"task","title":"Example - mix igniter.upgrade","doc":"mix igniter.upgrade package1 package2@1.2.1","ref":"Mix.Tasks.Igniter.Upgrade.html#module-example"},{"type":"task","title":"Options - mix igniter.upgrade","doc":"* `--yes` - Accept all changes automatically\n  * `--all` - Upgrades all dependencies\n  * `--only` - only fetches dependencies for given environment\n  * `--verbose` - display additional output from various operations\n  * `--target` - only fetches dependencies for given target\n  * `--no-archives-check` - does not check archives before fetching deps\n  * `--git-ci` - Uses git history (HEAD~1) to check the previous versions\n    in the lock file. See the upgrade guides for more. Sets --yes\n    automatically.","ref":"Mix.Tasks.Igniter.Upgrade.html#module-options"},{"type":"task","title":"mix local.igniter","doc":"Updates the Igniter project generator locally.\n\n    $ mix local.igniter\n\nAccepts the same command line options as `archive.install hex igniter_new`.","ref":"Mix.Tasks.Local.Igniter.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}